import { renderless, api } from '@opentinyvue/vue-renderless/date-table/vue';
import { defineComponent, props, setup } from '@opentinyvue/vue-common';

function normalizeComponent(scriptExports, render, staticRenderFns, functionalTemplate, injectStyles, scopeId, moduleIdentifier, shadowMode) {
  var options = typeof scriptExports === "function" ? scriptExports.options : scriptExports;
  if (render) {
    options.render = render;
    options.staticRenderFns = staticRenderFns;
    options._compiled = true;
  }
  var hook;
  if (injectStyles) {
    hook = injectStyles;
  }
  if (hook) {
    if (options.functional) {
      options._injectStyles = hook;
      var originalRender = options.render;
      options.render = function renderWithStyleInjection(h, context) {
        hook.call(context);
        return originalRender(h, context);
      };
    } else {
      var existing = options.beforeCreate;
      options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
    }
  }
  return {
    exports: scriptExports,
    options
  };
}

function _extends() {
  return _extends = Object.assign ? Object.assign.bind() : function(n) {
    for (var e = 1; e < arguments.length; e++) {
      var t = arguments[e];
      for (var r in t) ({}).hasOwnProperty.call(t, r) && (n[r] = t[r]);
    }
    return n;
  }, _extends.apply(null, arguments);
}
var common = {
  "next-month": "text-color-text-disabled cursor-pointer group-hover:bg-inherit",
  "current": "group-hover:text-color-text-inverse group-hover:bg-color-brand text-color-text-inverse bg-color-brand",
  "start-date": "text-color-text-inverse bg-color-brand group-hover:bg-color-brand"
};
var classes = _extends({}, common, {
  "today": "border border-solid border-color-border-focus",
  "pre-month": common["next-month"],
  "selected": common["current"],
  "th": "px-1 py-4 text-color-text-primary font-normal whitespace-nowrap",
  "td": "box-border text-center cursor-pointer relative group",
  "cell": "h-8 mb-2.5 box-border",
  "in-range": "",
  "cell-in-range": "bg-color-brand-hover-subtle text-color-brand",
  "disabled": "text-color-text-disabled group-hover:text-color-text-disabled cursor-pointer cursor-not-allowed bg-color-bg-3 group-hover:bg-color-bg-3",
  "cell-disabled": "bg-color-bg-3 text-color-text-disabled",
  "text": "w-8 h-8 leading-8 block absolute left-1/2 box-border -translate-x-2/4 rounded group-hover:bg-color-brand-hover-subtle",
  "end-date": common["start-date"],
  "token": ""
});
var render = function render2() {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("table", {
    class: ["table-fixed w-full"],
    attrs: {
      "cellpadding": "0",
      "cellspacing": "0",
      "data-tag": "tiny-date-table"
    },
    on: {
      "mousemove": _vm.handleMouseMove,
      "click": _vm.handleClick
    }
  }, [_c("tbody", [_c("tr", [_vm.showWeekNumber ? _c("th", [_c("div", {
    class: _vm.gcls("th")
  }, [_vm._v(_vm._s(_vm.t("ui.datepicker.week")))])]) : _vm._e(), _vm._l(_vm.state.weeks, function(week, weekIdx) {
    return _c("th", {
      key: weekIdx
    }, [_c("div", {
      class: _vm.gcls("th")
    }, [_vm._v(_vm._s(_vm.t("ui.datepicker.weeks." + week)))])]);
  })], 2), _vm._l(_vm.state.rows, function(row, trIdx) {
    return _c("tr", {
      key: trIdx,
      class: {
        current: _vm.isWeekActive(row[1])
      },
      attrs: {
        "data-tag": "tiny-date-table__row"
      }
    }, _vm._l(row, function(cell, tdIdx) {
      return _c("td", {
        key: tdIdx,
        class: _vm.gcls("td"),
        attrs: {
          "data-tag": _vm.getCellClasses(cell)
        }
      }, [_c("div", {
        class: _vm.m(_vm.gcls("cell"), _vm.gcls(_vm.getCssToken(cell, "cell-")), {
          "rounded-l": tdIdx === 0
        }, {
          "rounded-r": tdIdx === 6
        })
      }, [_c("span", {
        class: _vm.m(_vm.gcls("text"), _vm.gcls(_vm.getCellClasses(cell).split(" "))),
        domProps: {
          "textContent": _vm._s(cell.text)
        }
      })])]);
    }), 0);
  })], 2)]);
};
var staticRenderFns = [];
var __vue2_script = defineComponent({
  props: [].concat(props, ["cellClassName", "date", "defaultValue", "disabledDate", "firstDayOfWeek", "maxDate", "minDate", "rangeState", "selectionMode", "showWeekNumber", "value", "formatWeeks"]),
  setup: function setup$1(props2, context) {
    return setup({
      props: props2,
      context,
      renderless,
      api,
      classes
    });
  }
});
var __cssModules = {};
var __component__ = /* @__PURE__ */ normalizeComponent(__vue2_script, render, staticRenderFns, false, __vue2_injectStyles);
function __vue2_injectStyles(context) {
  for (var o in __cssModules) {
    this[o] = __cssModules[o];
  }
}
var mobileFirst = /* @__PURE__ */ function() {
  return __component__.exports;
}();

export { mobileFirst as default };
